<?php
/**
 * Plugin pimpMyColor
 *
 * @package	PLX
 * @version	1.7.1
 * @date	2//03/2014
 * @author	DanielSan
 **/
class pimpMyColor extends plxPlugin {

	/**
	 * Constructeur de la classe jquery
	 *
	 * @param	default_lang	langue par dfaut utilise par PluXml
	 * @return	null
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# droits pour accder  la page config.php du plugin
		// $this->setConfigProfil(PROFIL_ADMIN);
		$this->setAdminProfil(PROFIL_ADMIN, PROFIL_MANAGER);
		
		# Dclarations des hooks
		$this->addHook('AdminTopEndHead', 'AdminTopEndHead'); // insre la feuille de style de mise en forme de ces nouveaux champs
		$this->addHook('AdminFootEndBody', 'AdminFootEndBody');
		$this->addHook('ThemeEndHead', 'ThemeEndHead');
	}

	/**
	 * Mthode qui ajoute insre la feuille de style gnre dans le thme
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/	
		public function ThemeEndHead() {
			echo "\t".'<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'pimpMyColor/css/pimpMyColor.css" media="screen" />'."\n";
		}

	/**
	 * Mthode qui ajoute le plugin colorpicker en backend
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/	
	public function AdminTopEndHead() {
		if($_GET['p']=='pimpMyColor'){
			echo "\t".'<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'pimpMyColor/css/BO.css" media="screen" />'."\n";
			echo "\t".'<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'pimpMyColor/colorpicker/css/colorpicker.css" media="screen" />'."\n";
			echo "\t".' <script type="text/javascript" src="'.PLX_PLUGINS.'pimpMyColor/colorpicker/js/colorpicker.js"></script>'."\n";
			echo "\t".'<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'pimpMyColor/css/pimpMyColor.css" media="screen" />'."\n";
		}else{}
	}

	/**
	 * Mthode qui active le plugin colorpicker
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/	
	public function AdminFootEndBody() {
		if($_GET['p']=='pimpMyColor'){
			$script ="
				<script type=\"text/javascript\">
					$(document).ready(function() {
						
						$('fieldset.pimpMyColor input').ColorPicker({
							onSubmit: function(hsb, hex, rgb, el) {
								$(el).val(hex);
								$(el).ColorPickerHide();
								$(this).css('background-color', '#' + hex);
							},
							onChange: function (hsb, hex, rgb) {
								$(this).css('backgroundColor', '#' + hex);
							},
							onBeforeShow: function () {
								$(this).ColorPickerSetColor(this.value);
							}
						})
						.bind('keyup', function(){
							$(this).ColorPickerSetColor(this.value);
						});
						
					});
				  </script>
			";
			echo $script;
		}else{}
	}

}
?>